get
https://{domainname}/CAServices/AgentState/SummaryReport.php
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
Agent State summary API is used to retrieve agent state summary data, shown in CloudAgent interaction Analyst.
To access this API we need to pass the following parameters.
| Parameter | Description |
|---|---|
| apiKey* | Available in CloudAgent admin login |
| userName* | CloudAgent account name |
| agentId | 0 To fetch data For all agent details, multiple agent IDs’ can be passed by comma separated |
| modeType | 0 To fetch data for modes like inbound, and outbound modes, multiple mode type(Progressive, Preview, Chat etc.,) can be passed by comma separated |
| fromDate | Date and Time in format yyyy-mm-dd hh:mm:ss |
| toDate | Date and Time in format yyyy-mm-dd hh:mm:ss |
Note
- The maximum Data available from this request is for 30 days.
- Parameters with ‘*’ are considered to be mandatory parameters.
Possible responses
| Success response | "status": "success" "message": { " |
| Invalid apiKey | "status": "error" "message": "userName or apiKey is Invalid" |
| Empty apiKey | "status": "error" "message": "apiKey should not be empty" |
| Invalid userName | "status": "error" "message": "userName or apiKey is Invalid" |
| Empty userName | "status": "error" "message": "userName should not be empty" |
| No data is found | "status": "error" "message": "No Data Found" |
| Invalid Date format | "status": "error" "message": "From and To Date should be in yyyy-mm-dd HH:mm:ss Format" |
| If fromDate is more than toDate | "status": "error" "message": "From Date Should not be Greater than To Date" |
| If the requested data is for more than 30 days | "status": "error" "message": "Difference Between From and To Date should not be Greater than 30 Days" |
| When All modeTypes are Invalid | "status": "error" "message": "Mode Type is Invalid" |
| When All agentIds are Invalid | "status": "error" "message": "agentId is Invalid” |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
